// Copyright 2020 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef CHROMEOS_ASH_SERVICES_LIBASSISTANT_AUDIO_FAKE_INPUT_DEVICE_H_
#define CHROMEOS_ASH_SERVICES_LIBASSISTANT_AUDIO_FAKE_INPUT_DEVICE_H_

#include "base/memory/scoped_refptr.h"

namespace media {
class AudioCapturerSource;
}  // namespace media

namespace ash::libassistant {

// Create a fake input device. When asked to record input, it will read the
// input from an audio file generated by the
// chromeos/ash/components/assistant/send-audio.sh script.
scoped_refptr<media::AudioCapturerSource> CreateFakeInputDevice();

}  // namespace ash::libassistant

#endif  // CHROMEOS_ASH_SERVICES_LIBASSISTANT_AUDIO_FAKE_INPUT_DEVICE_H_
